/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Via;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderVia implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Via via = (Via) o;

        Listcell lc = new Listcell(via.getViaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(via.getNombvia());
        lc.setParent(lstm);

        
        lstm.setAttribute("data", via);
    }
}
